import { readFileSync, existsSync, } from 'fs';
import language from "./language.js";
let lock = undefined;
export default () => {
    if (!lock) {
        throw Error(language('missing_package_lock'));
    }
    return lock;
};
export const set = (cwd) => {
    if (!existsSync(cwd + '/package-lock.json')) {
        throw new Error(language('missing_package_lock'));
    }
    lock = JSON.parse(readFileSync(cwd + '/package-lock.json', 'utf8'));
};
